Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ant
Class JMX

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jboss.ant.JMX

public class JMX
extends org.apache.tools.ant.Task

JMX.java. An ant plugin to call managed operations and set attributes on mbeans in a jboss jmx mbean server. To use this plugin with Ant, place the jbossjmx-ant.jar together with the jboss jars jboss-j2ee.jar and jboss-common-client.jar, and the sun jnet.jar in the ant/lib directory you wish to use. Here is an example from an ant build file. Created: Tue Jun 11 20:17:44 2002

Version:
Author:
  David Jencks, David Snyder

Nested Class Summary
`static class` | `JMX.Getter` The class `Getter` specifies getting an attribute value of an mbean.
`static class` | `JMX.Invoke` The class `Invoke` specifies the invocation of a managed operation.
`static interface` | `JMX.Operation` The interface `Operation` provides a common interface for the sub-tasks..
`static class` | `JMX.Param` The class `Param` is used to represent a object by means of a string representation of its value and its type.
`static class` | `JMX.PropertyEditorHolder` The class `PropertyEditorHolder` allows you to add a PropertyEditor to the default set.
`static class` | `JMX.Setter` The class `Setter` specifies setting an attribute value on an mbean.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JMX()` Creates a new `JMX` instance.

Method Summary
`void` | `addGetAttribute(JMX.Getter getter)` Use the `addGetAttribute` method to add a get-attribute operation.
`void` | `addInvoke(JMX.Invoke invoke)` Use the `addInvoke` method to add an operation.
`void` | `addPropertyEditor(JMX.PropertyEditorHolder peh)` Use the `addPropertyEditor` method to make a PropertyEditor available for values.
`void` | `addSetAttribute(JMX.Setter setter)` Use the `addSetAttribute` method to add a set-attribute operation.
`void` | `execute()` The `execute` method is called by ant to execute the task.
`void` | `setAdapterName(String adapterName)` Use the `setAdapterName` method to set the name the adapter mbean is bound under in jndi.
`void` | `setServerURL(String serverURL)` Use the `setServerURL` method to set the URL of the server you wish to connect to.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMX

    public JMX()
        throws Exception

  Creates a new `JMX` instance. Provides a default adapterName for the current server, so you only need to set it to talk to a remote server.

Throws:
  `Exception` - if an error occurs

Method Detail

### setServerURL

    public void setServerURL(String serverURL)

  Use the `setServerURL` method to set the URL of the server you wish to connect to.

  Parameters:
    `serverURL` - a `String` value

### setAdapterName

    public void setAdapterName(String adapterName)

  Use the `setAdapterName` method to set the name the adapter mbean is bound under in jndi.

  Parameters:
    `adapterName` - a `String` value

### addInvoke

    public void addInvoke(JMX.Invoke invoke)

  Use the `addInvoke` method to add an operation. Include as attributes the target ObjectName and operation name. Include as sub-elements parameters: see addParameter in the Invoke class.

  Parameters:
    `invoke` - an `Invoke` value

### addSetAttribute

    public void addSetAttribute(JMX.Setter setter)

  Use the `addSetAttribute` method to add a set-attribute operation. Include as attributes the target ObjectName and the the attribute name. Include the value as a nested value tag following the parameter syntax.

  Parameters:
    `setter` - a `Setter` value

### addGetAttribute

    public void addGetAttribute(JMX.Getter getter)

  Use the `addGetAttribute` method to add a get-attribute operation. Include as attributes the target ObjectName, the the attribute name, and a property name to hold the result of the get-attribute operation.

  Parameters:
    `getter` - a `Getter` value

### addPropertyEditor

    public void addPropertyEditor(JMX.PropertyEditorHolder peh)

  Use the `addPropertyEditor` method to make a PropertyEditor available for values. Include attributes for the type and editor fully qualified class name.

  Parameters:
    `peh` - a `PropertyEditorHolder` value

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  The `execute` method is called by ant to execute the task.

  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.